/* Variables */

:root {
  --p1-colour1: #154167;
  --p1-colour2: #2b7cb3;
  --p1-colour3: #9bcfea;
  --p1-colour4: #c671ba;
  --p1-colour5: #f6c4df;

  /* Font properties */
  --font-size: 1.2rem;
  --text-font: 'Open Sans', Arial, sans-serif;

  /* Colours semantics */
  --txt-colour: var(--p1-colour5);
  --bg-colour: var(--p1-colour1);
  --link-colour: var(--p1-colour3);
  --h-link-colour: var(--p1-colour2);
}

html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  padding: 0;
  margin: 0;
  font-family: var(--text-font);
  background-color: var(--bg-colour);
  color: var(--txt-colour);
  font-size: var(--font-size);
}

a {
  color: var(--p1-colour3);
}

a:hover {
  color: var(--p1-colour2);
}

/* Logo */

.logo {
  font-family: 'Shadows Into Light', Arial, cursive;
  font-weight: normal;
}

.young-logo, .talkers-logo {
  background-clip: text;
  color: transparent;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.young-logo {
  background-image: linear-gradient(90deg, var(--p1-colour4) 0%, var(--p1-colour3) 100%);
}

.talkers-logo {
  background-image: linear-gradient(90deg, var(--p1-colour3) 0%, var(--p1-colour4) 100%);
}

.young-talkers-logo {
  font-size: 300%;
}

.speech-path-logo {
  color: var(--p1-colour4);
  display: block;
  padding-left: 19rem;
  margin-top: -3.5rem;
}

.large-logo .young-talkers-logo {
  word-spacing: -3rem;
}

.small-logo .young-talkers-logo {
  word-spacing: -1rem;
}

.small-logo {
  font-size: 80%;
}

/* header */
header {
  margin: 0 auto;
  text-align: center;
}

header h1 {
  margin: 0;
  margin-bottom: 1rem;
}

/* Navigation */

nav h1 {
  margin-top: 0.2rem;
  margin-bottom: -2rem;
}

nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

nav a {
  color: var(--link-colour);
  text-decoration: none;
  display: block;
}

nav a:hover {
  color: var(--h-link-colour);
}

.contact {
  display: block;
  background-color: var(--p1-colour4);
  color: var(--bg-colour);
  padding: 0.3rem;
  border-radius: 10px;
  font-weight: bold;
  width: 260px;
  text-align: center;
  margin: 2rem auto;
}

/* main */

main {
  padding: 1rem 1rem 1rem 1rem;
  max-width: 1000px;
  margin: 0 auto;
}

.location-list {
    list-style: none;
}

/* Footer */
footer {
  text-align: center;
}

footer a {
  text-decoration: none;
}

footer h2 {
  margin: 0;
}

@media (min-width: 860px) {
  nav {
    max-width: 1200px;
    margin: -2rem auto;
  }

  nav ul {
    padding: 1em;
  }

  header .small-logo {
    display: none;
  }
}

@media (max-width: 860px) {
  header .large-logo {
    display: none;
  }

  header .small-logo {
    display: block;
  }
}
